Debian Bug report logs - #544060
ITA: dietlibc -- diet libc - a libc optimized for small size

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gerrit Pape <pape@dbnbgs.smarden.org>

Date: Fri, 28 Aug 2009 13:00:08 UTC

Severity: normal

Fixed in version dietlibc/0.33~cvs20111108-3

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544060; Package wnpp. (Fri, 28 Aug 2009 13:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerrit Pape <pape@dbnbgs.smarden.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Fri, 28 Aug 2009 13:00:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@dbnbgs.smarden.org>
To: submit@bugs.debian.org
Subject: RFH: dietlibc -- diet libc - a libc optimized for small size
Date: Fri, 28 Aug 2009 12:52:35 +0000
Package: wnpp

Hi, I'm looking for a co-maintainer for the dietlibc package, especially
for the experimental shared libraries part of it.  If you're interested,
please followup to this bug report and await my reply.

 Package: dietlibc-dev
 Section: libdevel
 Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
 Recommends: dietlibc (= ${source:Version})
 Suggests: dietlibc-doc
 Description: diet libc - a libc optimized for small size
  The diet libc is a C library that is optimized for small size. It
  can be used to create small statically linked binaries for Linux
  on alpha, arm, ia64, mips, mipsel, ppc, parisc, s390, sparc and x86.
  .
  This package is used to compile programs with the diet libc.
  .
  The diet libc also supports dynamic linking, currently on the arm and
  i386 architectures only.  The 'dietlibc' package provides the shared
  libraries.
  .
  See http://www.fefe.de/dietlibc/ for more information.

Thanks, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544060; Package wnpp. (Sun, 30 May 2010 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Viard de Galbert <julien@silicone.homelinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 30 May 2010 14:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 544060@bugs.debian.org (full text, mbox):

From: Julien Viard de Galbert <julien@silicone.homelinux.org>
To: Gerrit Pape <pape@dbnbgs.smarden.org>
Cc: 544060@bugs.debian.org
Subject: dietlibc help proposal
Date: Sun, 30 May 2010 16:38:34 +0200
Hi Gerrit Pape,

I'm willing to help. What kind of job is needed, where should I start ?

I've been a debian user for more than 10 years, I think it's time to get involved.

Regards

Julien






Changed Bug title to 'RFA: dietlibc -- diet libc - a libc optimized for small size' from 'RFH: dietlibc -- diet libc - a libc optimized for small size' Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Tue, 15 Feb 2011 12:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544060; Package wnpp. (Tue, 15 Feb 2011 18:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerrit Pape <pape@smarden.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 15 Feb 2011 18:21:13 GMT) Full text and rfc822 format available.

Message #17 received at 544060@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: debian-devel@lists.debian.org
Cc: 544060@bugs.debian.org
Subject: RFA: dietlibc -- diet libc - a libc optimized for small size
Date: Tue, 15 Feb 2011 17:17:09 +0000
Hi, I'm looking for a new maintainer for the dietlibc package.

 Package: dietlibc-dev
 Section: libdevel
 Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
 Recommends: dietlibc (= ${source:Version})
 Suggests: dietlibc-doc
 Description: diet libc - a libc optimized for small size
  The diet libc is a C library that is optimized for small size. It
  can be used to create small statically linked binaries for Linux
  on alpha, arm, ia64, mips, mipsel, ppc, parisc, s390, sparc and x86.
  .
  This package is used to compile programs with the diet libc.
  .
  The diet libc also supports dynamic linking, currently on the arm and
  i386 architectures only.  The 'dietlibc' package provides the shared
  libraries.
  .
  See http://www.fefe.de/dietlibc/ for more information.

Regards, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544060; Package wnpp. (Sun, 27 Feb 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Feb 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 544060@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Gerrit Pape <pape@smarden.org>, 544060@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#544060: RFA: dietlibc -- diet libc - a libc optimized for small size
Date: Sun, 27 Feb 2011 17:42:39 +0000
Hello,

2011/2/15 Gerrit Pape <pape@smarden.org>:
> Hi, I'm looking for a new maintainer for the dietlibc package.

I would be interested to help out and co-maintain it within some team.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Changed Bug title to 'ITA: dietlibc -- diet libc - a libc optimized for small size' from 'RFA: dietlibc -- diet libc - a libc optimized for small size' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Fri, 04 Mar 2011 11:15:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#544060; Package wnpp. (Sat, 05 Mar 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and filed, but not forwarded. (Sat, 05 Mar 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 544060-quiet@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Hector Oron <hector.oron@gmail.com>
Cc: 544060-quiet@bugs.debian.org
Subject: Re: [wnpp] dietlibc has been ITAed
Date: Sat, 5 Mar 2011 00:36:29 +0000 (UTC)
Héctor Orón dixit:

>I would be interested to help out and co-maintain it within some team.

I’m not really into maintaining, but mksh currently uses dietlibc, and
I’ve even found a problem (and submitted a workaround) in dietlibc. So
I’m sort of willing to help out, _if_ needed, at least short to medium
term. I also know Fefe, no idea if that helps, though ☺

bye,
//mirabilos
-- 
FWIW, I'm quite impressed with mksh interactively. I thought it was much
*much* more bare bones. But it turns out it beats the living hell out of
ksh93 in that respect. I'd even consider it for my daily use if I hadn't
wasted half my life on my zsh setup. :-) -- Frank Terbeck in #!/bin/mksh




Information stored :
Bug#544060; Package wnpp. (Sat, 05 Mar 2011 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and filed, but not forwarded. (Sat, 05 Mar 2011 04:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 544060-quiet@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 544060-quiet@bugs.debian.org
Subject: Re: [wnpp] dietlibc has been ITAed
Date: Sat, 5 Mar 2011 04:48:47 +0000
Hello,

2011/3/5 Thorsten Glaser <tg@mirbsd.de>:
> Héctor Orón dixit:

>>I would be interested to help out and co-maintain it within some team.

> I’m not really into maintaining, but mksh currently uses dietlibc, and
> I’ve even found a problem (and submitted a workaround) in dietlibc. So
> I’m sort of willing to help out, _if_ needed, at least short to medium
> term. I also know Fefe, no idea if that helps, though ☺

That is very welcome, I plan to add the package to collab-maint under
git, so feel free to do any change. I also want to add later ARM
improvements (v0.33) (maybe we could do an upload to experimental with
latest CVS) and test out your problem. I will not have time to do it
this weekend.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information stored :
Bug#544060; Package wnpp. (Sun, 06 Mar 2011 19:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 06 Mar 2011 19:18:11 GMT) Full text and rfc822 format available.

Message #39 received at 544060-quiet@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Gerrit Pape <pape@smarden.org>
Cc: 544060-quiet@bugs.debian.org
Subject: dietlibc: packaging history
Date: Sun, 6 Mar 2011 19:15:56 +0000
Hello Gerrit,

  I recently filed an intent to package for dietlibc. I am wondering
if you keep some kind of history of dietlibc packaging so we can
import it into GIT at git.debian.org. If you do not have it, it is no
problem, I'll just try to recover the bits available from
snapshots.d.o.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information stored :
Bug#544060; Package wnpp. (Tue, 08 Mar 2011 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>, 544060-quiet@bugs.debian.org:
Extra info received and filed, but not forwarded. (Tue, 08 Mar 2011 12:15:04 GMT) Full text and rfc822 format available.

Message #44 received at 544060-quiet@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: 544060-quiet@bugs.debian.org
Subject: Re: dietlibc: packaging history
Date: Tue, 8 Mar 2011 09:26:54 +0000
On Sun, Mar 06, 2011 at 07:15:56PM +0000, Hector Oron wrote:
> Hello Gerrit,
> 
>   I recently filed an intent to package for dietlibc. I am wondering
> if you keep some kind of history of dietlibc packaging so we can
> import it into GIT at git.debian.org. If you do not have it, it is no
> problem, I'll just try to recover the bits available from
> snapshots.d.o.

Hi Hector,

I used a git repository for dietlibc maintenance, you can clone through

 git clone http://smarden.org/git/dietlibc.git

Thanks for taking care of the package.

Regards, Gerrit.




Information stored :
Bug#544060; Package wnpp. (Tue, 08 Mar 2011 19:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and filed, but not forwarded. (Tue, 08 Mar 2011 19:33:12 GMT) Full text and rfc822 format available.

Message #49 received at 544060-quiet@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Hector Oron <hector.oron@gmail.com>
Cc: 544060-quiet@bugs.debian.org
Subject: Re: [wnpp] dietlibc has been ITAed
Date: Tue, 8 Mar 2011 19:27:14 +0000 (UTC)
Hector Oron dixit:

>improvements (v0.33) (maybe we could do an upload to experimental with
>latest CVS) and test out your problem. I will not have time to do it

For one of the problems I’ve got a fix: drop the pa-risc specific
strstr.S function – http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=523086

The other is on mips and powerpc.

I got it down to this: when the read builtin reads a line that ends
with ASCII 1 (\001), it’s ignored.

tg@pescetti:~/bin$ uname -a; ./mksh-static
Linux pescetti 2.6.26-2-powerpc #1 Thu Jan 27 03:07:30 UTC 2011 ppc GNU/Linux
$ printf '<\1>\n'|while read x;do while [[ -n $x ]];do typeset -i16 hv=1#${x::1};x=${x:1};echo $hv;done;done
16#3c
16#1
16#3e
$ printf '\1\n'|while read x;do while [[ -n $x ]];do typeset -i16 hv=1#${x::1};x=${x:1};echo $hv;done;done
$ printf '<\1\n'|while read x;do while [[ -n $x ]];do typeset -i16 hv=1#${x::1};x=${x:1};echo $hv;done;done
16#3c
$ printf '\1>\n'|while read x;do while [[ -n $x ]];do typeset -i16 hv=1#${x::1};x=${x:1};echo $hv;done;done
16#1
16#3e

This is a “hexdumper” of sort:
printf '...\n' | 
    # read it in line by line
    while read x; do
	# as long as there's at least one character in $x
	while [[ -n $x ]]; do
		# allocate a new local variable "hv" of type integer
		# with base 16 (hexadecimal), and assign the value
		# 1#y to it, where y = ${x::1} = first character of $x
		# values of type 1#y are "ascii code of y" (mksh extension)
		typeset -i16 hv=1#${x::1}
		# remove the first character from $x
		x=${x:1}
		# print out the hexadecimal value of $hv (ascii code)
		echo $hv
	done
done

bye,
//mirabilos
-- 
13:47⎜<tobiasu> if i were omnipotent, i would divide by zero
                all day long ;)
(thinking about http://lobacevski.tumblr.com/post/3260866481 by waga)




Information stored :
Bug#544060; Package wnpp. (Tue, 08 Mar 2011 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 08 Mar 2011 19:39:04 GMT) Full text and rfc822 format available.

Message #54 received at 544060-quiet@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 544060-quiet@bugs.debian.org
Subject: Re: [wnpp] dietlibc has been ITAed
Date: Tue, 8 Mar 2011 19:37:25 +0000
Hi,

2011/3/8 Thorsten Glaser <tg@mirbsd.de>:

> For one of the problems I’ve got a fix: drop the pa-risc specific
> strstr.S function – http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=523086
>
> The other is on mips and powerpc.

Feel free to commit fixes in git branches at git.debian.org, dietlibc
collab-maint project.


Feel free to add yourself as uploader and upload to experimental later versions.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Fri, 11 Nov 2011 19:36:05 GMT) Full text and rfc822 format available.

Notification sent to Gerrit Pape <pape@dbnbgs.smarden.org>:
Bug acknowledged by developer. (Fri, 11 Nov 2011 19:36:05 GMT) Full text and rfc822 format available.

Message #59 received at 544060-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 544060-close@bugs.debian.org
Subject: Bug#544060: fixed in dietlibc 0.33~cvs20111108-3
Date: Fri, 11 Nov 2011 19:33:20 +0000
Source: dietlibc
Source-Version: 0.33~cvs20111108-3

We believe that the bug you reported is fixed in the latest version of
dietlibc, which is due to be installed in the Debian FTP archive:

dietlibc-doc_0.33~cvs20111108-3_all.deb
  to main/d/dietlibc/dietlibc-doc_0.33~cvs20111108-3_all.deb
dietlibc_0.33~cvs20111108-3.debian.tar.gz
  to main/d/dietlibc/dietlibc_0.33~cvs20111108-3.debian.tar.gz
dietlibc_0.33~cvs20111108-3.dsc
  to main/d/dietlibc/dietlibc_0.33~cvs20111108-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544060@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated dietlibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Format: 1.8
Date: Fri, 11 Nov 2011 18:06:11 +0000
Source: dietlibc
Binary: dietlibc-dev dietlibc-doc
Architecture: source all
Version: 0.33~cvs20111108-3
Distribution: unstable
Urgency: low
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 dietlibc-dev - diet libc - a libc optimized for small size
 dietlibc-doc - diet libc documentation - a libc optimized for small size
Closes: 544060
Changes: 
 dietlibc (0.33~cvs20111108-3) unstable; urgency=low
 .
   * The team of Héctor and me seems to have taken over well enough
     to close the ITA and drop Gerrit from Uploaders (Closes: #544060)
   * Upload to unstable
   * Enable s390x and sparc64 architectures, which are supported
     upstream, and see what happens
Checksums-Sha1: 
 9197c2d631c246c81a224c4581dd51b3483c9e49 1938 dietlibc_0.33~cvs20111108-3.dsc
 26489f146bfece61afb83ede8fedb81f3081be99 31534 dietlibc_0.33~cvs20111108-3.debian.tar.gz
 acfffee7926df054f708b18fc4062bf831c06bc9 54934 dietlibc-doc_0.33~cvs20111108-3_all.deb
Checksums-Sha256: 
 97a4fcdc023d2ce906ddcde4055aafb067e56e91c55a5cf1561ef83ea0140974 1938 dietlibc_0.33~cvs20111108-3.dsc
 72dc2c281dad7f3b2928d1909615d9cd0264fe47198b391f8b2535d7c1d637e9 31534 dietlibc_0.33~cvs20111108-3.debian.tar.gz
 e96027a87290f8ddb6857bf1b9c382c8631926fba0e7264048677c7fb71a2704 54934 dietlibc-doc_0.33~cvs20111108-3_all.deb
Files: 
 c7cda36dfa64672ae4ff194b3c24708a 1938 devel optional dietlibc_0.33~cvs20111108-3.dsc
 b8dbc3a3433736a32ffc488b2a2752d3 31534 devel optional dietlibc_0.33~cvs20111108-3.debian.tar.gz
 2af1d1ebdea8a3e276f0c924ced4218c 54934 doc optional dietlibc-doc_0.33~cvs20111108-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MirBSD)

iQIcBAEBCQAGBQJOvXWfAAoJEHa1NLLpkAfgEh0P/jjHqAxd7BuaivXR6XWovMYZ
YDaZkqvABPHRM08BP8o+R47Z0jkKvrfdUlMRJAcjzyIzxaSqRbop2Fmakq6buzqy
9utg1WJHZj4UwPxSGzPMYutrMLz14VPPYca/45hcuToDC++5zQK0+Fl6d11ej9xg
aL5ayyMqbxoiqwTIY/2v1xiMdJXSkTxVxLq7BlBZxUm6tb6HmVv7eKfma2YvQIBB
FwfyIJ0I4/k0Ynvz1sHCLBIQlCiG8IhkMmI/vwdLmQS+tvstbRa1DR/V/iH+WVjj
tB6WcE97sQI3Hse5w4w9rvLyOhzyS2g6YuIePNEgM7/znPscIYavvG+3iDU6JCx0
Mxe2M9xvl/gLUNrNKT94+imsw+rdrZw5Vu9fbH1fKtLzyqDRCEfnuW7TgqBXhAn3
K3EckXpizA+dYgxO5uORYbs0rhx3uQkOVKyjlFsucUyc2GX7VmHrNpZ8ujlr1tmQ
sfJqifWDEdvj55vHmZ9u2LTMGotTkvfRY0ZamEMfv7eT8AF/7TWrw3GbzGtACM4W
C+7BC0FKx/wxqZ90ZFxV96r+SRiqyiFe1drOtIhYTJBmwuE7tKDQwLJPoPxjU/r6
5tfnVKlD+84rAoq0ZWBGxd0CbBzi6XQ8EtoZUpSYoubzsn2QBG+dj59XdduMXHZz
bqnIAIMt3Wjp+9fGpQ3L
=IS14
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Dec 2011 07:37:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:19:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.